Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServerC.cpp File Reference

`#include "PortableServerC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "POA.h"`
`#include "PortableServerC.i"`

Include dependency graph for PortableServerC.cpp:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CS_
#define | _PORTABLESERVER_POALIST_CS_
#define | _PORTABLESERVER_OBJECTID_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_PORTABLESERVER_IDS_CS_
#define | _PORTABLESERVER_IDS_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ObjectId (CORBA::tk_alias, sizeof(_oc_PortableServer_ObjectId),(char *)&_oc_PortableServer_ObjectId, 0, sizeof(PortableServer::ObjectId))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(PortableServer) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ForwardRequest (CORBA::tk_except, sizeof(_oc_PortableServer_ForwardRequest),(char *)&_oc_PortableServer_ForwardRequest, 0, sizeof(PortableServer::ForwardRequest))
CORBA::TypeCode | _tc_TAO_tc_PortableServer_NotAGroupObject (CORBA::tk_except, sizeof(_oc_PortableServer_NotAGroupObject),(char *)&_oc_PortableServer_NotAGroupObject, 0, sizeof(PortableServer::NotAGroupObject))
CORBA::TypeCode | _tc_TAO_tc_PortableServer_IDs (CORBA::tk_alias, sizeof(_oc_PortableServer_IDs),(char *)&_oc_PortableServer_IDs, 0, sizeof(PortableServer::IDs))
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ThreadPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_ThreadPolicyValue),(char *)&_oc_PortableServer_ThreadPolicyValue, 0, sizeof(PortableServer::ThreadPolicyValue))
void | tao_PortableServer_ThreadPolicy_release (PortableServer::ThreadPolicy_ptr p)
PortableServer::ThreadPolicy_ptr | tao_PortableServer_ThreadPolicy_nil (void)
PortableServer::ThreadPolicy_ptr | tao_PortableServer_ThreadPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ThreadPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_LifespanPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_LifespanPolicyValue),(char *)&_oc_PortableServer_LifespanPolicyValue, 0, sizeof(PortableServer::LifespanPolicyValue))
void | tao_PortableServer_LifespanPolicy_release (PortableServer::LifespanPolicy_ptr p)
PortableServer::LifespanPolicy_ptr | tao_PortableServer_LifespanPolicy_nil (void)
PortableServer::LifespanPolicy_ptr | tao_PortableServer_LifespanPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_LifespanPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_IdUniquenessPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_IdUniquenessPolicyValue),(char *)&_oc_PortableServer_IdUniquenessPolicyValue, 0, sizeof(PortableServer::IdUniquenessPolicyValue))
void | tao_PortableServer_IdUniquenessPolicy_release (PortableServer::IdUniquenessPolicy_ptr p)
PortableServer::IdUniquenessPolicy_ptr | tao_PortableServer_IdUniquenessPolicy_nil (void)
PortableServer::IdUniquenessPolicy_ptr | tao_PortableServer_IdUniquenessPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_IdUniquenessPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_IdAssignmentPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_IdAssignmentPolicyValue),(char *)&_oc_PortableServer_IdAssignmentPolicyValue, 0, sizeof(PortableServer::IdAssignmentPolicyValue))
void | tao_PortableServer_IdAssignmentPolicy_release (PortableServer::IdAssignmentPolicy_ptr p)
PortableServer::IdAssignmentPolicy_ptr | tao_PortableServer_IdAssignmentPolicy_nil (void)
PortableServer::IdAssignmentPolicy_ptr | tao_PortableServer_IdAssignmentPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_IdAssignmentPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ImplicitActivationPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_ImplicitActivationPolicyValue),(char *)&_oc_PortableServer_ImplicitActivationPolicyValue, 0, sizeof(PortableServer::ImplicitActivationPolicyValue))
void | tao_PortableServer_ImplicitActivationPolicy_release (PortableServer::ImplicitActivationPolicy_ptr p)
PortableServer::ImplicitActivationPolicy_ptr | tao_PortableServer_ImplicitActivationPolicy_nil (void)
PortableServer::ImplicitActivationPolicy_ptr | tao_PortableServer_ImplicitActivationPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ImplicitActivationPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ServantRetentionPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_ServantRetentionPolicyValue),(char *)&_oc_PortableServer_ServantRetentionPolicyValue, 0, sizeof(PortableServer::ServantRetentionPolicyValue))
void | tao_PortableServer_ServantRetentionPolicy_release (PortableServer::ServantRetentionPolicy_ptr p)
PortableServer::ServantRetentionPolicy_ptr | tao_PortableServer_ServantRetentionPolicy_nil (void)
PortableServer::ServantRetentionPolicy_ptr | tao_PortableServer_ServantRetentionPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ServantRetentionPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableServer_RequestProcessingPolicyValue (CORBA::tk_enum, sizeof(_oc_PortableServer_RequestProcessingPolicyValue),(char *)&_oc_PortableServer_RequestProcessingPolicyValue, 0, sizeof(PortableServer::RequestProcessingPolicyValue))
void | tao_PortableServer_RequestProcessingPolicy_release (PortableServer::RequestProcessingPolicy_ptr p)
PortableServer::RequestProcessingPolicy_ptr | tao_PortableServer_RequestProcessingPolicy_nil (void)
PortableServer::RequestProcessingPolicy_ptr | tao_PortableServer_RequestProcessingPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_RequestProcessingPolicy_upcast (void *src)
PortableServer::POAManager_ptr | tao_PortableServer_POAManager_duplicate (PortableServer::POAManager_ptr p)
void | tao_PortableServer_POAManager_release (PortableServer::POAManager_ptr p)
PortableServer::POAManager_ptr | tao_PortableServer_POAManager_nil (void)
PortableServer::POAManager_ptr | tao_PortableServer_POAManager_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_POAManager_upcast (void *src)
PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_duplicate (PortableServer::AdapterActivator_ptr p)
void | tao_PortableServer_AdapterActivator_release (PortableServer::AdapterActivator_ptr p)
PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_nil (void)
PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_AdapterActivator_upcast (void *src)
PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_duplicate (PortableServer::ServantManager_ptr p)
void | tao_PortableServer_ServantManager_release (PortableServer::ServantManager_ptr p)
PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_nil (void)
PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ServantManager_upcast (void *src)
PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_duplicate (PortableServer::ServantActivator_ptr p)
void | tao_PortableServer_ServantActivator_release (PortableServer::ServantActivator_ptr p)
PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_nil (void)
PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ServantActivator_upcast (void *src)
PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_duplicate (PortableServer::ServantLocator_ptr p)
void | tao_PortableServer_ServantLocator_release (PortableServer::ServantLocator_ptr p)
PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_nil (void)
PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_ServantLocator_upcast (void *src)
PortableServer::POA_ptr | tao_PortableServer_POA_duplicate (PortableServer::POA_ptr p)
void | tao_PortableServer_POA_release (PortableServer::POA_ptr p)
PortableServer::POA_ptr | tao_PortableServer_POA_nil (void)
PortableServer::POA_ptr | tao_PortableServer_POA_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_POA_upcast (void *src)
PortableServer::Current_ptr | tao_PortableServer_Current_duplicate (PortableServer::Current_ptr p)
void | tao_PortableServer_Current_release (PortableServer::Current_ptr p)
PortableServer::Current_ptr | tao_PortableServer_Current_nil (void)
PortableServer::Current_ptr | tao_PortableServer_Current_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableServer_Current_upcast (void *src)
## Variables
const CORBA::Long | _oc_PortableServer_ObjectId []
const CORBA::Long | _oc_PortableServer_ForwardRequest []
const CORBA::Long | _oc_PortableServer_NotAGroupObject []
const CORBA::Long | _oc_PortableServer_IDs []

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_PORTABLESERVER_IDS_CS_

#define _PORTABLESERVER_IDS_CS_

#define _PORTABLESERVER_OBJECTID_CS_

#define _PORTABLESERVER_POALIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableServer_ForwardRequest | ( | CORBA::tk_except | ,
|  | sizeof(_oc_PortableServer_ForwardRequest) | ,
|  | (char *)& | _oc_PortableServer_ForwardRequest,
|  | 0 | ,
|  | sizeof(PortableServer::ForwardRequest) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_IdAssignmentPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_IdAssignmentPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_IdAssignmentPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::IdAssignmentPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_IDs | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableServer_IDs) | ,
|  | (char *)& | _oc_PortableServer_IDs,
|  | 0 | ,
|  | sizeof(PortableServer::IDs) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_IdUniquenessPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_IdUniquenessPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_IdUniquenessPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::IdUniquenessPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ImplicitActivationPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_ImplicitActivationPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_ImplicitActivationPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::ImplicitActivationPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_LifespanPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_LifespanPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_LifespanPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::LifespanPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_NotAGroupObject | ( | CORBA::tk_except | ,
|  | sizeof(_oc_PortableServer_NotAGroupObject) | ,
|  | (char *)& | _oc_PortableServer_NotAGroupObject,
|  | 0 | ,
|  | sizeof(PortableServer::NotAGroupObject) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ObjectId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableServer_ObjectId) | ,
|  | (char *)& | _oc_PortableServer_ObjectId,
|  | 0 | ,
|  | sizeof(PortableServer::ObjectId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_RequestProcessingPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_RequestProcessingPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_RequestProcessingPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::RequestProcessingPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ServantRetentionPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_ServantRetentionPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_ServantRetentionPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::ServantRetentionPolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ThreadPolicyValue | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_PortableServer_ThreadPolicyValue) | ,
|  | (char *)& | _oc_PortableServer_ThreadPolicyValue,
|  | 0 | ,
|  | sizeof(PortableServer::ThreadPolicyValue) |
| ) | `[static]`

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_duplicate | ( | PortableServer::AdapterActivator_ptr | p | ) |

PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_nil | ( | void |  | ) |

void tao_PortableServer_AdapterActivator_release | ( | PortableServer::AdapterActivator_ptr | p | ) |

CORBA::Object* tao_PortableServer_AdapterActivator_upcast | ( | void * | src | ) |

PortableServer::Current_ptr tao_PortableServer_Current_duplicate | ( | PortableServer::Current_ptr | p | ) |

PortableServer::Current_ptr tao_PortableServer_Current_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::Current_ptr tao_PortableServer_Current_nil | ( | void |  | ) |

void tao_PortableServer_Current_release | ( | PortableServer::Current_ptr | p | ) |

CORBA::Object* tao_PortableServer_Current_upcast | ( | void * | src | ) |

PortableServer::IdAssignmentPolicy_ptr tao_PortableServer_IdAssignmentPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::IdAssignmentPolicy_ptr tao_PortableServer_IdAssignmentPolicy_nil | ( | void |  | ) |

void tao_PortableServer_IdAssignmentPolicy_release | ( | PortableServer::IdAssignmentPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_IdAssignmentPolicy_upcast | ( | void * | src | ) |

PortableServer::IdUniquenessPolicy_ptr tao_PortableServer_IdUniquenessPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::IdUniquenessPolicy_ptr tao_PortableServer_IdUniquenessPolicy_nil | ( | void |  | ) |

void tao_PortableServer_IdUniquenessPolicy_release | ( | PortableServer::IdUniquenessPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_IdUniquenessPolicy_upcast | ( | void * | src | ) |

PortableServer::ImplicitActivationPolicy_ptr tao_PortableServer_ImplicitActivationPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ImplicitActivationPolicy_ptr tao_PortableServer_ImplicitActivationPolicy_nil | ( | void |  | ) |

void tao_PortableServer_ImplicitActivationPolicy_release | ( | PortableServer::ImplicitActivationPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_ImplicitActivationPolicy_upcast | ( | void * | src | ) |

PortableServer::LifespanPolicy_ptr tao_PortableServer_LifespanPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::LifespanPolicy_ptr tao_PortableServer_LifespanPolicy_nil | ( | void |  | ) |

void tao_PortableServer_LifespanPolicy_release | ( | PortableServer::LifespanPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_LifespanPolicy_upcast | ( | void * | src | ) |

PortableServer::POA_ptr tao_PortableServer_POA_duplicate | ( | PortableServer::POA_ptr | p | ) |

PortableServer::POA_ptr tao_PortableServer_POA_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::POA_ptr tao_PortableServer_POA_nil | ( | void |  | ) |

void tao_PortableServer_POA_release | ( | PortableServer::POA_ptr | p | ) |

CORBA::Object* tao_PortableServer_POA_upcast | ( | void * | src | ) |

PortableServer::POAManager_ptr tao_PortableServer_POAManager_duplicate | ( | PortableServer::POAManager_ptr | p | ) |

PortableServer::POAManager_ptr tao_PortableServer_POAManager_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::POAManager_ptr tao_PortableServer_POAManager_nil | ( | void |  | ) |

void tao_PortableServer_POAManager_release | ( | PortableServer::POAManager_ptr | p | ) |

CORBA::Object* tao_PortableServer_POAManager_upcast | ( | void * | src | ) |

PortableServer::RequestProcessingPolicy_ptr tao_PortableServer_RequestProcessingPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::RequestProcessingPolicy_ptr tao_PortableServer_RequestProcessingPolicy_nil | ( | void |  | ) |

void tao_PortableServer_RequestProcessingPolicy_release | ( | PortableServer::RequestProcessingPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_RequestProcessingPolicy_upcast | ( | void * | src | ) |

PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_duplicate | ( | PortableServer::ServantActivator_ptr | p | ) |

PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_nil | ( | void |  | ) |

void tao_PortableServer_ServantActivator_release | ( | PortableServer::ServantActivator_ptr | p | ) |

CORBA::Object* tao_PortableServer_ServantActivator_upcast | ( | void * | src | ) |

PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_duplicate | ( | PortableServer::ServantLocator_ptr | p | ) |

PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_nil | ( | void |  | ) |

void tao_PortableServer_ServantLocator_release | ( | PortableServer::ServantLocator_ptr | p | ) |

CORBA::Object* tao_PortableServer_ServantLocator_upcast | ( | void * | src | ) |

PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_duplicate | ( | PortableServer::ServantManager_ptr | p | ) |

PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_nil | ( | void |  | ) |

void tao_PortableServer_ServantManager_release | ( | PortableServer::ServantManager_ptr | p | ) |

CORBA::Object* tao_PortableServer_ServantManager_upcast | ( | void * | src | ) |

PortableServer::ServantRetentionPolicy_ptr tao_PortableServer_ServantRetentionPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ServantRetentionPolicy_ptr tao_PortableServer_ServantRetentionPolicy_nil | ( | void |  | ) |

void tao_PortableServer_ServantRetentionPolicy_release | ( | PortableServer::ServantRetentionPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_ServantRetentionPolicy_upcast | ( | void * | src | ) |

PortableServer::ThreadPolicy_ptr tao_PortableServer_ThreadPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableServer::ThreadPolicy_ptr tao_PortableServer_ThreadPolicy_nil | ( | void |  | ) |

void tao_PortableServer_ThreadPolicy_release | ( | PortableServer::ThreadPolicy_ptr | p | ) |

CORBA::Object* tao_PortableServer_ThreadPolicy_upcast | ( | void * | src | ) |

## Variable Documentation

const CORBA::Long _oc_PortableServer_ForwardRequest[]`[static]`

const CORBA::Long _oc_PortableServer_IDs[]`[static]`

const CORBA::Long _oc_PortableServer_NotAGroupObject[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      47,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65722f4e),
      ACE_NTOHL (0x6f744147),
      ACE_NTOHL (0x726f7570),
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63743a31),
      ACE_NTOHL (0x2e300000),
      16,
      ACE_NTOHL (0x4e6f7441),
      ACE_NTOHL (0x47726f75),
      ACE_NTOHL (0x704f626a),
      ACE_NTOHL (0x65637400),
      0,
    }

const CORBA::Long _oc_PortableServer_ObjectId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65722f4f),
      ACE_NTOHL (0x626a6563),
      ACE_NTOHL (0x7449643a),
      ACE_NTOHL (0x312e3000),
      9,
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63744964),
      ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

        0U,

    }